Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.strutturaaltaspecialita.vo.elencoapparecchiature
Class ApparecchiaturaResponse

    java.lang.Object
      it.svimservice.nsisr.web.ws.strutturaaltaspecialita.vo.elencoapparecchiature.ApparecchiaturaResponse

    public class ApparecchiaturaResponse

extends java.lang.Object

Field Summary
`private java.lang.String` | `costo` Importo del costo d'acquisto, elemento facoltativo.
`private java.lang.String` | `dataAcquisto` Data di acquisto, elemento facoltativo.
`private java.lang.String` | `dataAttivazione` Data di attivazione, elemento facoltativo.
`private ElencoStimaValoreResponse` | `elencoStimaValore` Storico delle stime del valore, elemento facoltativo.
`private java.lang.String` | `progressivo` Progressivo, elemento obbligatorio.
`private StrutturaAltaSpecialitaResponse` | `strutturaAltaSpecialita` Struttura in cui è in dotazione l'apparecchiatura, elemento obbligatorio.
`private java.lang.String` | `tipologia` Specifica la tipologia dell'apparecchiatuta, elemento obbligatorio.

Constructor Summary
`ApparecchiaturaResponse()`

Method Summary
`java.lang.String` | `getCosto()`
`java.lang.String` | `getDataAcquisto()`
`java.lang.String` | `getDataAttivazione()`
`ElencoStimaValoreResponse` | `getElencoStimaValore()`
`java.lang.String` | `getProgressivo()`
`StrutturaAltaSpecialitaResponse` | `getStrutturaAltaSpecialita()`
`java.lang.String` | `getTipologia()`
`void` | `setCosto(java.lang.String costo)`
`void` | `setDataAcquisto(java.lang.String dataAcquisto)`
`void` | `setDataAttivazione(java.lang.String dataAttivazione)`
`void` | `setElencoStimaValore(ElencoStimaValoreResponse elencoStimaValore)`
`void` | `setProgressivo(java.lang.String progressivo)`
`void` | `setStrutturaAltaSpecialita(StrutturaAltaSpecialitaResponse strutturaAltaSpecialita)`
`void` | `setTipologia(java.lang.String tipologia)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tipologia

    private java.lang.String tipologia

  Specifica la tipologia dell'apparecchiatuta, elemento obbligatorio. Puņ assumere uno dei seguenti valori:
  - TAC
  - RMN
  - ECOTOMOGRAFO
  - ANGIOGRAFIA DIGITALE COMPUTER.
  - ACCELERATORE LINEARE
  - LITOTRITORE
  - ANALIZZATORE SEQUENZ. MULTIPLO
  - GAMMA CAMERA COMPUTERIZZATA

### dataAcquisto

    private java.lang.String dataAcquisto

  Data di acquisto, elemento facoltativo.

### dataAttivazione

    private java.lang.String dataAttivazione

  Data di attivazione, elemento facoltativo.

### costo

    private java.lang.String costo

  Importo del costo d'acquisto, elemento facoltativo.

### progressivo

    private java.lang.String progressivo

  Progressivo, elemento obbligatorio.

### strutturaAltaSpecialita

    private StrutturaAltaSpecialitaResponse strutturaAltaSpecialita

  Struttura in cui è in dotazione l'apparecchiatura, elemento obbligatorio.

### elencoStimaValore

    private ElencoStimaValoreResponse elencoStimaValore

  Storico delle stime del valore, elemento facoltativo.

Constructor Detail

### ApparecchiaturaResponse

    public ApparecchiaturaResponse()

Method Detail

### getTipologia

    public java.lang.String getTipologia()

### setTipologia

    public void setTipologia(java.lang.String tipologia)

### getDataAcquisto

    public java.lang.String getDataAcquisto()

### setDataAcquisto

    public void setDataAcquisto(java.lang.String dataAcquisto)

### getDataAttivazione

    public java.lang.String getDataAttivazione()

### setDataAttivazione

    public void setDataAttivazione(java.lang.String dataAttivazione)

### getCosto

    public java.lang.String getCosto()

### setCosto

    public void setCosto(java.lang.String costo)

### getProgressivo

    public java.lang.String getProgressivo()

### setProgressivo

    public void setProgressivo(java.lang.String progressivo)

### getStrutturaAltaSpecialita

    public StrutturaAltaSpecialitaResponse getStrutturaAltaSpecialita()

### setStrutturaAltaSpecialita

    public void setStrutturaAltaSpecialita(StrutturaAltaSpecialitaResponse strutturaAltaSpecialita)

### getElencoStimaValore

    public ElencoStimaValoreResponse getElencoStimaValore()

### setElencoStimaValore

    public void setElencoStimaValore(ElencoStimaValoreResponse elencoStimaValore)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD